<?php
/**
 * @file
 * ocio_panels_settings.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function ocio_panels_settings_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_field_default_field_instances_alter().
 */
function ocio_panels_settings_field_default_field_instances_alter(&$data) {
  if (isset($data['fieldable_panels_pane-image-field_basic_image_image'])) {
    $data['fieldable_panels_pane-image-field_basic_image_image']['display']['default']['settings']['image_style'] = 'image_style_full'; /* WAS: 'panopoly_image_full' */
    $data['fieldable_panels_pane-image-field_basic_image_image']['ds_extras_field_template'] = ''; /* WAS: '' */
    $data['fieldable_panels_pane-image-field_basic_image_image']['widget']['module'] = 'media'; /* WAS: 'image' */
    $data['fieldable_panels_pane-image-field_basic_image_image']['widget']['settings']['allowed_schemes'] = array(
      'public' => 'public',
      'vimeo' => 0,
      'youtube' => 0,
    ); /* WAS: '' */
    $data['fieldable_panels_pane-image-field_basic_image_image']['widget']['settings']['allowed_types'] = array(
      'audio' => 0,
      'document' => 0,
      'image' => 'image',
      'video' => 0,
    ); /* WAS: '' */
    $data['fieldable_panels_pane-image-field_basic_image_image']['widget']['settings']['browser_plugins'] = array(
      'media_default--media_browser_1' => 'media_default--media_browser_1',
      'media_default--media_browser_my_files' => 'media_default--media_browser_my_files',
      'media_internet' => 0,
      'upload' => 'upload',
      'youtube' => 0,
    ); /* WAS: '' */
    $data['fieldable_panels_pane-image-field_basic_image_image']['widget']['settings']['manualcrop_instant_crop'] = FALSE; /* WAS: 0 */
    $data['fieldable_panels_pane-image-field_basic_image_image']['widget']['type'] = 'media_generic'; /* WAS: 'image_image' */
    unset($data['fieldable_panels_pane-image-field_basic_image_image']['widget']['settings']['manualcrop_styles_list']['panopoly_image_full']);
    unset($data['fieldable_panels_pane-image-field_basic_image_image']['widget']['settings']['preview_image_style']);
    unset($data['fieldable_panels_pane-image-field_basic_image_image']['widget']['settings']['progress_indicator']);
  }
}

/**
 * Implements hook_default_page_manager_handlers_alter().
 */
function ocio_panels_settings_default_page_manager_handlers_alter(&$data) {
  if (isset($data['node_edit_panel_context'])) {
    $data['node_edit_panel_context']->conf['display']->content['new-1c073329-7f76-4b25-bdb5-ed6681a78019'] = (object) array(
          'pid' => 'new-1c073329-7f76-4b25-bdb5-ed6681a78019',
          'panel' => 'contentmain',
          'type' => 'entity_form_field',
          'subtype' => 'node:field_tags',
          'shown' => TRUE,
          'access' => array(),
          'configuration' => array(
            'label' => '',
            'formatter' => '',
            'context' => 'argument_node_edit_1',
            'override_title' => 0,
            'override_title_text' => '',
          ),
          'cache' => array(),
          'style' => array(
            'settings' => NULL,
          ),
          'css' => array(),
          'extras' => array(),
          'position' => 4,
          'locks' => array(),
          'uuid' => '1c073329-7f76-4b25-bdb5-ed6681a78019',
        ); /* WAS: '' */
    $data['node_edit_panel_context']->conf['display']->content['new-373bd769-1e08-4ec5-85b6-0a1d2fc759fd']->panel = 'contentmain'; /* WAS: 'sidebar' */
    $data['node_edit_panel_context']->conf['display']->content['new-373bd769-1e08-4ec5-85b6-0a1d2fc759fd']->position = 3; /* WAS: 0 */
    $data['node_edit_panel_context']->conf['display']->content['new-51126c95-cf51-4ad6-a27a-11e4260d8023']->position = 0; /* WAS: 1 */
    $data['node_edit_panel_context']->conf['display']->content['new-565b11a0-d67b-4d9f-843f-908988b830dd'] = (object) array(
          'pid' => 'new-565b11a0-d67b-4d9f-843f-908988b830dd',
          'panel' => 'sidebar',
          'type' => 'node_form_log',
          'subtype' => 'node_form_log',
          'shown' => TRUE,
          'access' => array(),
          'configuration' => array(
            'context' => 'argument_node_edit_1',
            'override_title' => 1,
            'override_title_text' => '',
          ),
          'cache' => array(),
          'style' => array(
            'settings' => NULL,
          ),
          'css' => array(),
          'extras' => array(),
          'position' => 4,
          'locks' => array(),
          'uuid' => '565b11a0-d67b-4d9f-843f-908988b830dd',
        ); /* WAS: '' */
    $data['node_edit_panel_context']->conf['display']->content['new-73569090-5f67-47b1-b6a5-634bc8104c2b']->access['logic'] = 'or'; /* WAS: '' */
    $data['node_edit_panel_context']->conf['display']->content['new-73569090-5f67-47b1-b6a5-634bc8104c2b']->access['plugins'] = array(); /* WAS: '' */
    $data['node_edit_panel_context']->conf['display']->content['new-9176b962-e64f-44a6-8ebe-e03ebf0f6c3d']->position = 3; /* WAS: 4 */
    $data['node_edit_panel_context']->conf['display']->content['new-99f6c0bd-36fd-411b-9833-c0be0fab7548']->position = 1; /* WAS: 2 */
    $data['node_edit_panel_context']->conf['display']->content['new-e38ab3a3-24d0-4ac2-900e-4ddb0248be0c']->access['logic'] = 'or'; /* WAS: '' */
    $data['node_edit_panel_context']->conf['display']->content['new-e38ab3a3-24d0-4ac2-900e-4ddb0248be0c']->access['plugins'] = array(); /* WAS: '' */
    $data['node_edit_panel_context']->conf['display']->content['new-e38ab3a3-24d0-4ac2-900e-4ddb0248be0c']->position = 2; /* WAS: 3 */
    $data['node_edit_panel_context']->conf['display']->layout = 'ocio-omega-twocol-flipped'; /* WAS: 'radix_burr_flipped' */
    $data['node_edit_panel_context']->conf['display']->panel_settings['style_settings']['footer'] = NULL; /* WAS: '' */
    $data['node_edit_panel_context']->conf['display']->panel_settings['style_settings']['header'] = NULL; /* WAS: '' */
    $data['node_edit_panel_context']->conf['display']->panels['contentmain'][3] = 'new-373bd769-1e08-4ec5-85b6-0a1d2fc759fd'; /* WAS: '' */
    $data['node_edit_panel_context']->conf['display']->panels['contentmain'][4] = 'new-1c073329-7f76-4b25-bdb5-ed6681a78019'; /* WAS: '' */
    $data['node_edit_panel_context']->conf['display']->panels['sidebar'][0] = 'new-51126c95-cf51-4ad6-a27a-11e4260d8023'; /* WAS: 'new-373bd769-1e08-4ec5-85b6-0a1d2fc759fd' */
    $data['node_edit_panel_context']->conf['display']->panels['sidebar'][1] = 'new-99f6c0bd-36fd-411b-9833-c0be0fab7548'; /* WAS: 'new-51126c95-cf51-4ad6-a27a-11e4260d8023' */
    $data['node_edit_panel_context']->conf['display']->panels['sidebar'][2] = 'new-e38ab3a3-24d0-4ac2-900e-4ddb0248be0c'; /* WAS: 'new-99f6c0bd-36fd-411b-9833-c0be0fab7548' */
    $data['node_edit_panel_context']->conf['display']->panels['sidebar'][3] = 'new-9176b962-e64f-44a6-8ebe-e03ebf0f6c3d'; /* WAS: 'new-e38ab3a3-24d0-4ac2-900e-4ddb0248be0c' */
    $data['node_edit_panel_context']->conf['display']->panels['sidebar'][4] = 'new-565b11a0-d67b-4d9f-843f-908988b830dd'; /* WAS: 'new-9176b962-e64f-44a6-8ebe-e03ebf0f6c3d' */
    $data['node_edit_panel_context']->weight = -29; /* WAS: 0 */
  }
}
